Bug 999342 - Gnome Shell confused when second display is unplugged
Gnome Shell confused when second display is unplugged
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-21 04:09 EDT by Mikkel Lauritsen
Modified: 2015-02-17 11:51 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:51:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1093905 None None None Never

  None (edit)
Description Mikkel Lauritsen 2013-08-21 04:09:16 EDT
When unplugging an external display from a laptop computer Gnome Shell (or a Gnome-related component) seemingly loses some ability to handle mouse input. The precise symptoms differ - in some cases nothing mouse related works, in other cases only the Applications menu stops working while the Places menu right next to it works fine. Session management always ends up being disabled, though.

This happens after a while (usually a couple of minutes), and the computer is otherwise running fine; I'm able to switch to another VT and reboot from there.

This is on Fedora 19, updated to current as of August 21, including
gnome-shell-3.8.4-2.fc19.x86_64
gnome-session-3.8.4-1.fc19.x86_64

/var/log/messages contains a lot of output from gnome-session as included below. In particular the message about this._grabStack[i] being undefined appears a lot of times just before I've had to pull the plug and reboot.

Aug 20 15:42:53 localhost gnome-session[1170]: JS ERROR: !!!   Exception was: TypeError: this._pressureBarrier is null
Aug 20 15:42:53 localhost gnome-session[1170]: JS ERROR: !!!     message = '"this._pressureBarrier is null"'
Aug 20 15:42:53 localhost gnome-session[1170]: JS ERROR: !!!     fileName = '"/usr/share/gnome-shell/js/ui/layout.js"'
Aug 20 15:42:53 localhost gnome-session[1170]: JS ERROR: !!!     lineNumber = '1113'
Aug 20 15:42:53 localhost gnome-session[1170]: JS ERROR: !!!     stack = '"(28)@/usr/share/gnome-shell/js/ui/layout.js:1113
Aug 20 15:42:53 localhost gnome-session[1170]: wrapper(28)@/usr/share/gjs-1.0/lang.js:213
Aug 20 15:42:53 localhost gnome-session[1170]: (-1)@/usr/share/gnome-shell/extensions/apps-menu@gnome-shell-extensions.gcampax.github.com/extension.js:245
Aug 20 15:42:53 localhost gnome-session[1170]: wrapper(-1)@/usr/share/gjs-1.0/lang.js:213
Aug 20 15:42:53 localhost gnome-session[1170]: ()@/usr/share/gnome-shell/js/ui/popupMenu.js:1167
Aug 20 15:42:53 localhost gnome-session[1170]: wrapper()@/usr/share/gjs-1.0/lang.js:213
Aug 20 15:42:53 localhost gnome-session[1170]: _parent()@/usr/share/gjs-1.0/lang.js:175
Aug 20 15:42:53 localhost gnome-session[1170]: ()@/usr/share/gnome-shell/extensions/apps-menu@gnome-shell-extensions.gcampax.github.com/extension.js:258
Aug 20 15:42:53 localhost gnome-session[1170]: wrapper()@/usr/share/gjs-1.0/lang.js:213
Aug 20 15:42:53 localhost gnome-session[1170]: ([object GObject_Union])@/usr/share/gnome-shell/extensions/apps-menu@gnome-shell-extensions.gcampax.github.com/extension.js:78
Aug 20 15:42:53 localhost gnome-session[1170]: wrapper([object GObject_Union])@/usr/share/gjs-1.0/lang.js:213
Aug 20 15:42:53 localhost gnome-session[1170]: ([object GObject_Object],[object GObject_Union])@/usr/share/gnome-shell/js/ui/popupMenu.js:87
Aug 20 15:42:53 localhost gnome-session[1170]: wrapper([object GObject_Object],[object GObject_Union])@/usr/share/gjs-1.0/lang.js:213
Aug 20 15:42:53 localhost gnome-session[1170]: "'

Aug 20 15:31:17 localhost gnome-session[1393]: JS ERROR: !!!   Exception was: TypeError: this._grabStack[i] is undefined
Aug 20 15:31:17 localhost gnome-session[1393]: JS ERROR: !!!     message = '"this._grabStack[i] is undefined"'
Aug 20 15:31:17 localhost gnome-session[1393]: JS ERROR: !!!     fileName = '"/usr/share/gnome-shell/js/ui/grabHelper.js"'
Aug 20 15:31:17 localhost gnome-session[1393]: JS ERROR: !!!     lineNumber = '357'
Aug 20 15:31:17 localhost gnome-session[1393]: JS ERROR: !!!     stack = '"([object GObject_Object],[object GObject_Union])@/usr/share/gnome-shell/js/ui/grabHelper.js:357
Aug 20 15:31:17 localhost gnome-session[1393]: wrapper([object GObject_Object],[object GObject_Union])@/usr/share/gjs-1.0/lang.js:213
Aug 20 15:31:17 localhost gnome-session[1393]: "'

Aug 19 10:39:48 localhost gnome-session[1181]: Window manager warning: Log level 8: meta_window_change_workspace: assertion `!window->override_redirect' failed

Aug 20 15:32:40 localhost gnome-session[1170]: Window manager warning: Buggy client sent a _NET_ACTIVE_WINDOW message with a timestamp of 0 for 0x280004f (Organizati)
Aug 20 15:32:40 localhost gnome-session[1170]: Window manager warning: meta_window_activate called by a pager with a 0 timestamp; the pager needs to be fixed.

Aug 20 10:39:59 localhost gnome-session[1370]: Window manager warning: Window 0x2a003c4 (win73) sets an MWM hint indicating it isn't resizable, but sets min size 1 x 1 and max size 2147483647 x 2147483647; this doesn't make much sense
Comment 1 Dinesh Bhoopathy 2013-10-19 09:47:18 EDT
I have this same issue but on my fc20 box. Just chiming in to get notified on this!
Comment 2 Fedora End Of Life 2015-01-09 14:32:30 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 11:51:38 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.